<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useWorkflowListener](./react.useworkflowlistener.md)

## useWorkflowListener() function

<b>Signature:</b>

```typescript
export declare function useWorkflowListener(workflow: Workflow, setWorkflow?: (workflow: Workflow) => void): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  workflow | Workflow |  |
|  setWorkflow | (workflow: Workflow) =&gt; void | <i>(Optional)</i> |

<b>Returns:</b>

void

